/**
 * This is the View class of the MVC trio for the clock timer example.
 */
class DigitalClockView implements Observer {

	/**
	 * Constructor that attaches the model to the view.
	 * 
	 * @param clockModel
	 */
	public DigitalClockView(ClockTimerModel clockModel) {
		clockModel.attach(this);
	}
 
	/**
	 * Display the new hour, minute, second of the clock after the view has been
	 * notified of a state change in the model.
	 *
	 * @param obs: object that contains the information to be displayed
	 * @return none
	 */
	public void update(Observable obs) {
		// redraw my clocks reading after I was notified
		int hour = ((ClockTimerModel) obs).getHour();
		int minute = ((ClockTimerModel) obs).getMinute();
		int second = ((ClockTimerModel) obs).getSecond();
		System.out.println(hour + ":" + minute + ":" + second);
	};
};
