import java.util.Scanner;

/**
 * Driver class of the clock timer MVC example.
 */
public class ObserverDemo extends Object {
	DigitalClockView clockView;
	ClockTimerModel clockModel;
	ClockController clockController;

	/**
	 * Constructor that creates the model, view, and controller objects and calls
	 * the constructors that will connect them together.
	 */
	public ObserverDemo() {
		clockModel = new ClockTimerModel();
		clockView = new DigitalClockView(clockModel);
		clockController = new ClockController(clockView, clockModel);
	};
  
	/**
	 * Starting point of the program. This is the only main method.
	 * 
	 * @param av: command-line parameters are not used by this program.
	 * @return none
	 */
	public static void main(String[] av) {
		ObserverDemo od = new ObserverDemo();
		od.demo();
	};

	/**
	 * Call the controller to start te interaction with the clock.
	 * 
	 * @return none
	 */
	public void demo() {
		clockController.controlClock();
	};
};
